[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

| HDF5DisableErrorOutput Class Reference |

Temporarily disable HDF5's native error output. More...

`#include <vigra/hdf5impex.hxx>`

## Detailed Description

Temporarily disable HDF5's native error output.

This should be used when you want to call an HDF5 function that is known to fail (e.g. during testing), or when you want to use an alternative error reporting mechanism (e.g. exceptions).

Usage:

#include <vigra/hdf5impex.hxx>
Namespace: vigra

{
HDF5DisableErrorOutput hdf5DisableErrorOutput;
... // call some HDF5 function
} // restore the original error reporting in the destructor of HDF5DisableErrorOutput

The documentation for this class was generated from the following file:

- vigra/hdf5impex.hxx

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python vigra 1.11.1